import {readFileSync} from 'node:fs';

const inarr = JSON.parse(readFileSync('../client/src/emojilist.json'));
const outarr = inarr.map(e => ({
	emoji: e.char,
	keywords: e.keywords.sort(),
	name: e.name,
	slug: e.name,
}));
const out = Object.fromEntries(outarr.map(e => [e.emoji, e]));
export {out};
